## oslo.rootwrap 1.3.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

six>=1.7.0

## oslo.rootwrap 1.2.0

=== debian/changelog ===
oslo.rootwrap (1.2.0-0ubuntu1) trusty; urgency=medium

  * New upstream version. (LP: #1297446)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Mar 2014 14:25:13 -0400

oslo.rootwrap (1.0.0-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:31 +0000

oslo.rootwrap (1.0.0-0ubuntu1) trusty; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Dec 2013 10:59:58 -0500

=== debian/control ===
Source: oslo.rootwrap
Section: python
Priority: optional
Maintainer: Chuck Short  <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), python-all (>= 2.6.6-3~), python-setuptools,
 python-pbr, python-mock, python-fixtures, python-testscenarios, python-testtools,
 testrepository, python-six (>= 1.4.1)
Standards-Version: 3.9.4
XS-Testsuite: autopkgtest

Package: python-oslo.rootwrap
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: sudo
Description: Fine filtering of shell commands as 'root'
 The Oslo Rootwrap allows fine filtering of shell commands to run as `root`
 from OpenStack services.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

get-orig-source:
	uscan --verbose --force-download --rename --repack --download-current-version --destdir=../build-area

=== debian/tests/control ===
Tests: python-oslo.rootwrap
Depends: @, python-all, testrepository, python-testscenarios, python-testtools, python-mock

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/o/oslo.rootwrap/oslo.rootwrap-(.*)\.tar.gz

## oslo.rootwrap 1.3.0.0

=== debian/changelog ===
oslo.rootwrap (1.3.0.0-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 02 Oct 2014 03:03:29 -0400

oslo.rootwrap (1.3.0.0-0ubuntu1) utopic; urgency=medium

  * New upstream final release (1.3.0 uploaded as 1.3.0.0 due to pre-release
    versioning), fixing internal version check issues in other OpenStack
    components.

 -- James Page <james.page@ubuntu.com>  Wed, 01 Oct 2014 14:07:16 +0100

oslo.rootwrap (1.3.0.0~a3-0ubuntu1) utopic; urgency=medium

  * New upstream milestone release for OpenStack Juno:
    - d/control: Bump six versioning to >= 1.7.0.
  * d/watch: Update upstream watch location.
  * Enable test suite execution during package build:
    - d/control: Add BD on subunit.
    - d/rules: Execute unit tests.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Sep 2014 17:54:01 +0100

oslo.rootwrap (1.3.0.0~a2-0ubuntu1) utopic; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 10 Sep 2014 09:00:34 -0400

=== debian/control ===
Source: oslo.rootwrap
Section: python
Priority: optional
Maintainer: Chuck Short  <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 9.0.0),
 python-all (>= 2.6.6-3~),
 python-fixtures,
 python-mock,
 python-pbr,
 python-setuptools,
 python-six (>= 1.7.0),
 python-testscenarios,
 python-testtools,
 subunit,
 testrepository
Standards-Version: 3.9.4
XS-Testsuite: autopkgtest

Package: python-oslo.rootwrap
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: sudo
Description: Fine filtering of shell commands as 'root'
 The Oslo Rootwrap allows fine filtering of shell commands to run as `root`
 from OpenStack services.

## oslo.rootwrap 1.6.0

=== debian/changelog ===
oslo.rootwrap (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 12:03:20 +0100

oslo.rootwrap (1.3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Oct 2014 12:22:40 +0000

oslo.rootwrap (1.3.0.0~a3-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental just right before the Jessie freeze.
  * Fixed (build-)depends.
  * Do not run the unit tests using Python 2.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Sep 2014 00:14:28 +0800

oslo.rootwrap (1.2.0-2) unstable; urgency=medium

  * Fixed wrong VCS URLs.
  * Added Python 3 support.
  * Runs unit tests on build, build-conflicts with other python-osolo.*
    packages which are on the same namespace, and then preventing from doing
    "import oslo.rootwrap" from the current dir.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 Aug 2014 14:45:45 +0000

oslo.rootwrap (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Using testr / subunit correctly.
  * Removed Debian patch (applied upstream).
  * Now depends on sudo (Closes: #746501). Thanks to Benedikt Trefzer
    <benedikt.trefzer@cirrax.com> for the bug report.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 May 2014 16:35:22 +0800

oslo.rootwrap (1.0.0-2) unstable; urgency=medium

  * Fixes unit tests by cherry-picking a commit upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Jan 2014 14:30:17 +0000

oslo.rootwrap (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #736485)

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Dec 2013 15:46:09 +0800

=== debian/control ===
Source: oslo.rootwrap
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: iproute2,
                     python-eventlet (>= 0.16.1),
                     python-fixtures,
                     python-hacking,
                     python-mock,
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest (>= 1.2.0),
                     python-six (>= 1.9.0),
                     python-testscenarios,
                     python-testtools,
                     python3-fixtures,
                     python3-mock,
                     python3-oslotest (>= 1.2.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/oslo.rootwrap.git
Vcs-Git: git://anonscm.debian.org/openstack/oslo.rootwrap.git
Homepage: https://launchpad.net/oslo

Package: python-oslo.rootwrap
Architecture: all
Depends: python-six (>= 1.9.0),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Provides: python-oslo-rootwrap,
Description: allows fine filtering of shell commands to run as root - Python 2.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 2.x module.

Package: python3-oslo.rootwrap
Architecture: all
Depends: python3-six (>= 1.9.0),
         sudo,
         ${misc:Depends},
         ${python3:Depends},
Provides: python3-oslo-rootwrap,
Description: allows fine filtering of shell commands to run as root - Python 3.x
 The Oslo Rootwrap allows fine filtering of shell commands to run as root from
 OpenStack services.
 .
 Unlike other Oslo deliverables, it should not be used as a Python library, but
 called as a separate process through the oslo-rootwrap command.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.rootwrap.git
-include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.rootwrap; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.rootwrap; \
	done
	rm -f $(CURDIR)/debian/python*-oslo.rootwrap/usr/lib/python*/dist-packages/*.pth

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -ex && for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr run --subunit 'tests\.(?!.*test_RootwrapConfig.*|.*RootwrapDaemonTest.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr slowest ; \
	done
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oslo.rootwrap oslo.rootwrap-(.*).tar.gz
